#ifndef PIC_H
#define PIC_H

#include <stdint.h>

// Перемапливание базовых векторов прерываний для Master и Slave PIC
void pic_remap(uint8_t master_offset, uint8_t slave_offset);

// Маскирование/размаскирование конкретной линии IRQ
void pic_set_mask(uint8_t irq_line);
void pic_clear_mask(uint8_t irq_line);

#endif
